Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Public Attributes
tlp::AlgorithmContext Class Reference
Plugins

Parameter for calling clustering plugins. More...

`#include <PluginContext.h>`

Collaboration diagram for tlp::AlgorithmContext:
[legend]

List of all members.

## Public Member Functions

- AlgorithmContext ()
- ~AlgorithmContext ()

## Public Attributes

- Graph * graph
    The Graph on which the plug-in will run.
- PluginProgress * pluginProgress
    A means to give feedback on the progress of the plug-in.
- DataSet * dataSet
    Additional informations, such as the value of the plug-in's parameters, if any.

## Detailed Description

Parameter for calling clustering plugins.

## Constructor & Destructor Documentation

tlp::AlgorithmContext::AlgorithmContext | ( |  | ) | `[inline]`

tlp::AlgorithmContext::~AlgorithmContext | ( |  | ) | `[inline]`

## Member Data Documentation

DataSet* tlp::AlgorithmContext::dataSet

Additional informations, such as the value of the plug-in's parameters, if any.

Graph* tlp::AlgorithmContext::graph

The Graph on which the plug-in will run.

PluginProgress* tlp::AlgorithmContext::pluginProgress

A means to give feedback on the progress of the plug-in.

Tulip Software by LaBRI Visualization Team 2001 - 2012